Package com.collibra.dgc.core.api.dto.assignment

# Class FindAssignmentsForResourceRequest

Object
FindAssignmentsForResourceRequest

All Implemented Interfaces:
  `Serializable`

public class FindAssignmentsForResourceRequest extends Object implements Serializable
Search criteria for finding assignments for a resource

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `FindAssignmentsForResourceRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindAssignmentsForResourceRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindAssignmentsForResourceRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getResourceDiscriminator()`
  `UUID`
  `getResourceId()`
  `ResourceType`
  `getResourceType()`
  Deprecated.
  `int`
  `hashCode()`
  `void`
  `setResourceDiscriminator(String resourceDiscriminator)`
  `void`
  `setResourceId(UUID resourceId)`
  `void`
  `setResourceType(ResourceType resourceType)`
  Deprecated.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindAssignmentsForResourceRequest

    public FindAssignmentsForResourceRequest()

- ## Method Details

  - ### builder

    public static FindAssignmentsForResourceRequest.Builder builder()

  - ### getResourceId

    public UUID getResourceId()

  - ### getResourceType

    @Deprecated public ResourceType getResourceType()
    Deprecated.

  - ### getResourceDiscriminator

    public String getResourceDiscriminator()

  - ### setResourceId

    public void setResourceId(UUID resourceId)

  - ### setResourceType

    @Deprecated public void setResourceType(ResourceType resourceType)
    Deprecated.

  - ### setResourceDiscriminator

    public void setResourceDiscriminator(String resourceDiscriminator)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`